# -*- coding: UTF-8 -*-
import time, requests
import DAN
from rabboni import *

Rabboni_BLE_address = 'C9:B4:01:AB:F3:C8'

#ServerURL = 'http://IP:9999'      #with non-secure connection
ServerURL = 'https://auth.iottalk.tw' #with SSL connection
Reg_addr = Rabboni_BLE_address

DAN.profile['dm_name']='Smartphone'
DAN.profile['df_list']=['Acceleration', 'Gyroscope',]
DAN.profile['d_name']= Rabboni_BLE_address

rabbo = Rabboni(mode = 'BLE') #先宣告一個物件
rabbo.scan() #掃描所有藍芽Device
rabbo.print_device() # 列出所有藍芽Device

try: 
    rabbo.connect(Rabboni_BLE_address)#依照MAC連接
except:
    print('\nFailed to connect!')
    exit()

rabbo.read_data()#讀取資料 必跑
DAN.device_registration_with_retry(ServerURL, Reg_addr)

while True:
    try:
        DAN.push('Acceleration', rabbo.Accx, rabbo.Accy, rabbo.Accz) #Push data to an input device feature "Acceleration"
        #print('Acc:', rabbo.Accx, rabbo.Accy, rabbo.Accz)
        DAN.push('Gyroscope', rabbo.Gyrx, rabbo.Gyry, rabbo.Gyrz)
        #print('Gyr:', rabbo.Gyrx, rabbo.Gyry, rabbo.Gyrz)

    except Exception as e:
        print(e)
        if str(e).find('mac_addr not found:') != -1:
            print('Reg_addr is not found. Try to re-register...')
            DAN.device_registration_with_retry(ServerURL, Reg_addr)
        else:
            print('Connection failed due to unknow reasons.')
            time.sleep(1)    

    time.sleep(0.1)

